module.exports = zxnz.ModelRef('zxnz_core_fs_file_', {
    properties: {
        Name: {
            value: null,
            type: ['varchar', 100],
            default: ''
        },
        Type: {
            value: null,
            type: ['varchar', 100],
            default: ''
        },
        Temp_Name: {
            value: null,
            type: ['varchar', 100],
            default: ''
        },
        Encoding: {
            value: null,
            type: ['varchar', 100],
            default: ''
        },
        Ext: {
            value: null,
            type: ['varchar', 100],
            default: ''
        },
        Saved_Name: {
            value: null,
            type: ['varchar', 200],
            default: ''
        },
        Saved_Dir: {
            value: null,
            type: ['varchar', 200],
            default: ''
        },
        Saved_Path: {
            value: null,
            type: ['varchar', 200],
            default: ''
        },
        Path: {
            value: null,
            type: ['varchar', 100],
            default: ''
        },
        Size: {
            value: null,
            type: ['bigint', 20],
            get: function (){
                var value = this.getInt('length');
                if(value){
                    var _v = value / (1024 * 1024);
                    if(_v<1){
                        return (value/1024).toFixed(2) + 'KB';
                    }else {
                        return _v.toFixed(2) + 'MB';
                    }
                }else {
                    return '-';
                }
            }
        }
    }
});