"use strict";

var React = znui.React || require('react');

var Routes = React.createClass({
  displayName: "Routes",
  __onClick: function __onClick(key, route) {
    this.props.onClick && this.props.onClick(key, route);
  },
  __renderRoute: function __renderRoute(key, route) {
    var _this = this;

    if (typeof route == 'function') {
      return /*#__PURE__*/React.createElement("li", {
        className: "route",
        key: key
      }, /*#__PURE__*/React.createElement("div", {
        onClick: function onClick() {
          return _this.__onClick(key, route);
        },
        className: "route-path clickable"
      }, key));
    } else {
      return /*#__PURE__*/React.createElement("li", {
        className: "route",
        key: key
      }, /*#__PURE__*/React.createElement("div", {
        className: "route-path"
      }, key), /*#__PURE__*/React.createElement(Routes, {
        routes: route,
        style: {
          marginLeft: 10
        },
        onClick: this.props.onClick
      }));
    }
  },
  render: function render() {
    var _routes = this.props.routes;
    return /*#__PURE__*/React.createElement("ul", {
      className: "zxnz-core-base-znui-Routes " + (this.props.className || ''),
      style: this.props.style
    }, Object.keys(_routes).map(function (key) {
      return this.__renderRoute(key, _routes[key]);
    }.bind(this)));
  }
});
module.exports = Routes;