"use strict";

var React = znui.React || require('react');

var layout = require('znui-react-layout');

var button = require('znui-react-button');

module.exports = React.createClass({
  displayName: 'Home',
  getInitialState: function getInitialState() {
    return {
      View: null
    };
  },
  __mainHead: function __mainHead() {
    return /*#__PURE__*/React.createElement("div", {
      className: "home-head"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, /*#__PURE__*/React.createElement("a", {
      target: "_black",
      href: this.props["package"].repository.url
    }, this.props["package"].name, " (v", this.props["package"].version, ")")), /*#__PURE__*/React.createElement(button.Tab, {
      data: [{
        value: 'Config',
        icon: 'faSlidersH'
      }, {
        value: 'Routrs',
        icon: 'faRoute'
      }, {
        value: 'Controllers',
        icon: 'faEthernet'
      }, {
        value: 'Models',
        icon: 'faStream'
      }, {
        value: 'Code',
        icon: 'faCode'
      }]
    }));
  },
  __mainRender: function __mainRender() {
    return /*#__PURE__*/React.createElement("div", null);
  },
  __mainFoot: function __mainFoot() {
    return /*#__PURE__*/React.createElement("div", {
      className: "home-foot"
    }, "Server: ", /*#__PURE__*/React.createElement("a", {
      href: "https://github.com/yangyxu"
    }, this.props["package"].author, "(", this.props["package"].email, ")"));
  },
  render: function render() {
    return /*#__PURE__*/React.createElement(layout.FixedLayout, {
      className: "zxnz-core-base-zxnz-Home",
      begin: 40,
      end: 40,
      head: this.__mainHead,
      body: this.__mainRender,
      foot: this.__mainFoot
    });
  }
});