"use strict";

var React = znui.React || require('react');

var form = require('znui-react-form');

var input = require('znui-react-input');

var selector = require('znui-react-selector');

var popup = require('znui-react-popup');

module.exports = React.createClass({
  displayName: "exports",
  render: function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: "zxnz-core-base-DefineTableInfo"
    }, /*#__PURE__*/React.createElement(form.FormPanel, {
      title: "xxx",
      data: [{
        name: 'zxnz_Label',
        label: 'Label',
        input: input.Input,
        style: {
          width: 200
        }
      }, {
        name: 'zxnz_table_Name',
        label: 'TableName',
        input: input.Input
      }, {
        name: 'zxnz_table_Mixins',
        label: 'Mixins',
        input: input.Input
      }, {
        name: 'zxnz_table_Importable',
        label: 'Importable',
        input: selector.Radio,
        data: [{
          text: 'No',
          value: 0
        }, {
          text: 'Yes',
          value: 1
        }]
      }, {
        name: 'zxnz_table_Exportable',
        label: 'Exportable',
        input: selector.Radio,
        data: [{
          text: 'No',
          value: 0
        }, {
          text: 'Yes',
          value: 1
        }]
      }, {
        name: 'zxnz_table_Inputable',
        label: 'Inputable',
        input: selector.Radio,
        data: [{
          text: 'No',
          value: 0
        }, {
          text: 'Yes',
          value: 1
        }]
      }, {
        name: 'zxnz_table_Outputable',
        label: 'Outputable',
        input: selector.Radio,
        data: [{
          text: 'No',
          value: 0
        }, {
          text: 'Yes',
          value: 1
        }]
      }],
      value: {
        __api__: true,
        method: 'get',
        url: '/zxnz.core.base/model.base/selectById?model=zxnz.core.base.zxnz_core_base_DefineTable&id=' + (this.props.zxnz_ID || 0)
      },
      merge: "updates",
      submitApi: {
        method: "post",
        url: '/zxnz.core.base/model.base/updateById',
        data: {
          model: "zxnz.core.base.zxnz_core_base_DefineTable",
          id: this.props.zxnz_ID || 0
        }
      },
      onSubmitSuccess: function onSubmitSuccess(data, form) {
        popup.notifier.success('修改成功!');
      },
      onSubmitError: function onSubmitError(xhr, form) {
        popup.notifier.error("修改失败：" + xhr.message);
      },
      buttons: [{
        value: '修改',
        status: 'danger',
        type: 'submit',
        icon: 'faEdit'
      }]
    }));
  }
});