"use strict";

var React = znui.React || require('react');

var tree = require('znui-react-tree');

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {};
  },
  componentDidMount: function componentDidMount() {},
  __onTreeItemClick: function __onTreeItemClick(event, owner, item, index, tree) {
    var _data = zn.deepAssign({}, tree.props.data);

    _data.params.parent_id = item.child_id;
    zn.data.request(_data).then(function (response) {
      console.log(response);
      tree.setState({
        data: response.data.items
      });
    });
  },
  render: function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: znui.react.classname("zxnz-core-base-Tree-Model-View", this.props.className),
      style: this.props.style
    }, /*#__PURE__*/React.createElement(tree.AccordionTree, {
      labelKey: "zxnz_Label",
      data: {
        method: "get",
        url: '/zxnz.core.base/model.tree/queryByPid',
        params: {
          model: this.props.model,
          pid: this.props.pid || 0
        }
      },
      responseHandler: function responseHandler(response) {
        return response.result;
      },
      onItemClick: this.__onTreeItemClick
    }));
  }
});