"use strict";

var React = znui.React || require('react');

var layout = require('znui-react-layout');

var button = require('znui-react-button');

var Package = require('./Package');

var Znui = require('./znui/Home');

var Zxnz = require('./zxnz/Home');

module.exports = React.createClass({
  displayName: 'AppView',
  getInitialState: function getInitialState() {
    return {
      View: null
    };
  },
  __mainHead: function __mainHead() {
    return /*#__PURE__*/React.createElement("div", {
      className: "appview-head"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, /*#__PURE__*/React.createElement("a", {
      target: "_black",
      href: this.props["package"].repository.url
    }, this.props["package"].name, " (v", this.props["package"].version, ")")), /*#__PURE__*/React.createElement(button.Tab, {
      activeIndex: 0,
      onClick: this.__onTabClick,
      data: [//{ value: 'Description', icon: 'faAudioDescription', View: Description },
      {
        value: 'Znui(routes)',
        icon: 'faDesktop',
        View: Znui
      }, {
        value: 'Zxnz(apis)',
        icon: 'faTerminal',
        View: Zxnz
      }, {
        value: 'Package.json',
        icon: 'faIndent',
        View: Package
      }]
    }));
  },
  __onTabClick: function __onTabClick(event) {
    var _data = event.data;
    console.log(_data);
    this.setState({
      View: _data.View
    });
  },
  __mainFoot: function __mainFoot() {
    return /*#__PURE__*/React.createElement("div", {
      className: "appview-foot"
    }, "Powed By: ", /*#__PURE__*/React.createElement("a", {
      href: "https://github.com/yangyxu"
    }, this.props["package"].author, "(", this.props["package"].email, ")"));
  },
  render: function render() {
    return /*#__PURE__*/React.createElement(layout.FixedLayout, {
      className: "zxnz-core-base-AppView",
      begin: 50,
      end: 50,
      head: this.__mainHead,
      body: this.state.View && /*#__PURE__*/React.createElement(this.state.View, this.props),
      foot: this.__mainFoot
    });
  }
});