"use strict";

var React = znui.React || require('react');

var layout = require('znui-react-layout');

var button = require('znui-react-button');

var Routes = require('./Routes');

module.exports = React.createClass({
  displayName: 'Home',
  getInitialState: function getInitialState() {
    return {
      View: null
    };
  },
  __head: function __head() {
    return /*#__PURE__*/React.createElement("div", {
      className: "info"
    }, /*#__PURE__*/React.createElement("div", {
      className: "panel"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, "Base Info"), /*#__PURE__*/React.createElement("div", {
      className: "content"
    })), /*#__PURE__*/React.createElement("div", {
      className: "panel"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, "Components"), /*#__PURE__*/React.createElement("div", {
      className: "content"
    }, /*#__PURE__*/React.createElement(Routes, {
      routes: this.props.components,
      onClick: this.__onRouteClick
    }))), /*#__PURE__*/React.createElement("div", {
      className: "panel"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, "Routes"), /*#__PURE__*/React.createElement("div", {
      className: "content"
    }, /*#__PURE__*/React.createElement(Routes, {
      routes: this.props.routes,
      onClick: this.__onRouteClick
    }))));
  },
  __onRouteClick: function __onRouteClick(key, route) {
    this.setState({
      key: key,
      route: route
    });
  },
  __foot: function __foot() {
    if (this.state.route) {
      return /*#__PURE__*/React.createElement(this.state.route, null);
    } else {
      return null;
    }
  },
  render: function render() {
    return /*#__PURE__*/React.createElement(layout.ActivityLayout, {
      className: "zxnz-core-base-znui-Home",
      minX: 260,
      begin: 300,
      head: this.__head,
      foot: this.__foot
    });
  }
});