"use strict";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var React = znui.React || require('react');

var layout = require('znui-react-layout');

var button = require('znui-react-button');

var Info = require('./DefineTableInfo');

var Content = require('./DefineTableContent');

var Structure = require('./DefineTableStructure');

module.exports = React.createClass({
  displayName: 'DefineTable',
  getInitialState: function getInitialState() {
    return {
      View: null
    };
  },
  __mainHead: function __mainHead() {
    return /*#__PURE__*/React.createElement("div", {
      className: "table-head"
    }, /*#__PURE__*/React.createElement("div", {
      className: "title"
    }, this.props.zxnz_table_Name), /*#__PURE__*/React.createElement(button.Tab, {
      activeIndex: 0,
      onClick: this.__onTabClick,
      data: [{
        value: 'Table Info',
        icon: 'faAudioDescription',
        View: Info
      }, {
        value: 'Structure(Field)',
        icon: 'faDesktop',
        View: Structure
      }, {
        value: 'Content(Data)',
        icon: 'faTerminal',
        View: Content
      }, {
        value: 'Query',
        icon: 'faIndent'
      }]
    }));
  },
  __onTabClick: function __onTabClick(event) {
    var _data = event.data;
    this.setState({
      View: _data.View
    });
  },
  __mainFoot: function __mainFoot() {
    return /*#__PURE__*/React.createElement("div", {
      className: "table-foot"
    });
  },
  render: function render() {
    return /*#__PURE__*/React.createElement(layout.FixedLayout, {
      className: "zxnz-core-base-DefineTable",
      begin: 50,
      end: 0,
      head: this.__mainHead,
      body: this.state.View && /*#__PURE__*/React.createElement(this.state.View, _extends({
        key: this.props.zxnz_ID
      }, this.props)),
      foot: this.__mainFoot
    });
  }
});