"use strict";

var React = znui.React || require('react');

var tree = require('znui-react-tree');

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      currentItem: null,
      currentTree: null
    };
  },
  __onTreeItemClick: function __onTreeItemClick(event, owner, item, index, tree) {
    var _data = zn.deepAssign({}, tree.props.data);

    _data.params.pid = item.zxnz_ID;
    tree.setState({
      data: _data
    });
    this.setState({
      currentItem: item,
      currentTree: tree
    });
  },
  render: function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: znui.react.classname("zxnz-core-base-Tree-Model-Data-View", this.props.className),
      style: this.props.style
    }, /*#__PURE__*/React.createElement(tree.AccordionTree, {
      labelKey: "zxnz_Label",
      data: {
        method: "get",
        url: '/zxnz.core.base/model.tree/getChildByPid',
        params: {
          model: this.props.model,
          pid: this.props.pid || 0
        }
      },
      responseHandler: function responseHandler(response) {
        return response.result;
      },
      onItemClick: this.__onTreeItemClick
    }));
  }
});